# -------------------------------------------------------------------
# Build Properties
# -------------------------------------------------------------------
maven.repo.remote=\
http://dist.codehaus.org,\
http://www.ibiblio.org/maven,\
http://cvs.apache.org/repository

maven.compile.source=1.4
maven.compile.target=1.4
maven.compile.deprecation=true
maven.compile.debug=true
maven.compile.optimize=true

maven.jar.mainclass = org.activemq.broker.impl.Main

# -------------------------------------------------------------------
# Testing Properties
# -------------------------------------------------------------------
maven.test.source=1.4
maven.test.target=1.4
maven.junit.sysproperties = activemq.store.dir derby.system.home derby.storage.fileSyncTransactionLog
maven.junit.fork = true

activemq.store.dir = target/MessageStore
activemq.persistenceAdapterFactory = org.activemq.broker.impl.DefaultPersistenceAdapterFactory
derby.system.home = target/derby
derby.storage.fileSyncTransactionLog=true

# -------------------------------------------------------------------
# Javadoc Properties
# -------------------------------------------------------------------
maven.javadoc.source=1.4
maven.javadoc.links=\
http://java.sun.com/j2se/1.4.1/docs/api/,\
http://java.sun.com/j2ee/1.4/docs/api/,\
http://gee.cs.oswego.edu/dl/classes/EDU/oswego/cs/dl/util/concurrent,\
http://jakarta.apache.org/commons/logging/apidocs

maven.javadoc.additionalparam = -linksource

# -------------------------------------------------------------------
# Checkstyle Properties
# -------------------------------------------------------------------
maven.checkstyle.properties = ${basedir}/checkstyle.xml
maven.checkstyle.header.file = ${basedir}/LICENSE.txt

# -------------------------------------------------------------------
# codehaus theme
# -------------------------------------------------------------------
maven.xdoc.theme.url=http://codehaus.org/codehaus-style.css

maven.artifact.legacy=true
maven.repo.central=dist.codehaus.org
maven.repo.central.directory=/dist
maven.remote.group=activemq

# -------------------------------------------------------------------
# dependency versions
# -------------------------------------------------------------------
#maven.jar.override=on

<!-- used by all modules -->
geronimo_spec_j2ee_version=1.4-rc4
concurrent_version=1.3.4
commons_logging_version=1.0.3
log4j_version=1.2.8
junit_version=3.8.1
jmock_version=1.0.1
jmock_cglib_version=1.0.1

<!-- used by core module -->
commons_beanutils_version=1.6.1
javacc_version=2.1
activecluster_version=1.1-SNAPSHOT
activeio_version=1.0
drools_core_version=2.0-beta-13

<!-- used by axis module -->
axis_version=1.2-RC1

<!-- used by gbean module -->
geronimo_kernel_version=1.0-SNAPSHOT
geronimo_system_version=1.0-SNAPSHOT
xmlbeans_version=1.0-DEV

<!-- used by spring module -->
spring_version=1.1

<!-- used by store-bdb module -->
berkeleydb_version=1.5.1

<!-- used by store-bdbn module -->
berkeleydb_native_version=4.2

<!-- used by store-howl module -->
howl_logger_version=0.1.8

<!-- used by store-jdbc module -->
<!-- Connection Pool dependencies -->
commons_dbcp_version=1.2
commons_pool_version=1.2
<!-- Axion dependencies -->
axion_version=1.0-M3-dev
commons_collections_version=2.1
commons_primitives_version=1.0
regexp_version=1.3
<!-- HSQL dependencies -->
hsqldb_version=1.7.2.2
<!-- Derby dependencies -->
derby_version=10.0.2.1
derbynet_version=10.0.2.1

<!-- used by store-jdbm module -->
jdbm_version=0.20-dev

<!-- used by transport-ember module -->
emberio_version=0.3-alpha
emberio_version=0.3-alpha

<!-- used by transport-gnet module -->
geronimo_remoting_version=1.0-SNAPSHOT
geronimo_network_version=1.0-SNAPSHOT
geronimo_core_version=1.0-SNAPSHOT

<!-- used by transport-http module -->
commons_httpclient_version=2.0.1
org.mortbay.jetty_version=5.1-SNAPSHOT
tomcat_version=5.0.28
jasper_compiler_version=5.0.28
jasper_runtime_version=5.0.28
xercesImpl_version=2.6.2

<!-- used by transport-jgroups module -->
jgroups_version=2.2.5

<!-- used by transport-jrms module -->
jrms_version=1.1

<!-- used by transport-jxta module -->
p2psockets_core_version=1.1.2
jxta_version=2.0

<!-- used by transport-xstream module -->
xstream_version=1.1.2
xmlpull_version=1.1.3.4d_b4_min

<!-- used by transport-zeroconf module -->
jmdns_version=0.2

<!-- used by itest-client module -->
maven_itest_plugin_version=1.0
geronimo_deployment_plugin_version=1.0-SNAPSHOT
openejb_core_version=2.0-SNAPSHOT
geronimo_security_version=1.0-SNAPSHOT
cglib_version=2.0
cglib_full_version=2.0
commons_jelly_tags_velocity_version=SNAPSHOT
velocity_version=1.4-rc1

<!-- j2ee API fragment jars, used for WARs -->
geronimo_spec_jms_version=1.1-rc4
geronimo_spec_jta_version=1.0.1B-rc4
geronimo_spec_j2ee_management_version=1.0-rc4
geronimo_spec_j2ee_jacc_version=1.0-rc4
geronimo_spec_ejb_version=2.1-rc4
geronimo_spec_j2ee_connector_version=1.5-rc4
geronimo_spec_servlet_version=2.4-rc4
geronimo_spec_jsp_version=2.0-rc4

<!-- used by activemq-ws -->
activesoap_version=1.0-SNAPSHOT


